# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CharacterData Class Reference

The `CharacterData` interface extends Node with a set of attributes and methods for accessing character data in the DOM. More...

`#include <dom_text.h>`

Inheritance diagram for DOM::CharacterData:

[legend]
Collaboration diagram for DOM::CharacterData:

[legend]
List of all members.

## Public Member Functions

| CharacterData (const CharacterData &other)
| CharacterData (const Node &other)
CharacterData & | operator= (const Node &other)
CharacterData & | operator= (const CharacterData &other)
DOMString | data () const
void | setData (const DOMString &)
unsigned long | length () const
DOMString | substringData (const unsigned long offset, const unsigned long count)
void | appendData (const DOMString &arg)
void | insertData (const unsigned long offset, const DOMString &arg)
void | deleteData (const unsigned long offset, const unsigned long count)
void | replaceData (const unsigned long offset, const unsigned long count, const DOMString &arg)

## Protected Member Functions

| CharacterData (CharacterDataImpl *i)

## Friends

class | CharacterDataImpl

## Detailed Description

The `CharacterData` interface extends Node with a set of attributes and methods for accessing character data in the DOM.

For clarity this set is defined here rather than on each object that uses these attributes and methods. No DOM objects correspond directly to `CharacterData` , though `Text` and others do inherit the interface from it. All `offset`s in this interface start from 0.

Definition at line 49 of file dom_text.h.

## Member Function Documentation

DOMString CharacterData::data | ( |  | ) | const

The character data of the node that implements this interface.

The DOM implementation may not put arbitrary limits on the amount of data that may be stored in a `CharacterData` node. However, implementation limits may mean that the entirety of a node's data may not fit into a single `DOMString` . In such cases, the user may call `substringData` to retrieve the data in appropriately sized pieces.

Exceptions:

  | DOMException | DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

Definition at line 64 of file dom_text.cpp.

void CharacterData::setData | ( | const DOMString & |  | ) |

see data

Exceptions:

  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Definition at line 70 of file dom_text.cpp.

unsigned long CharacterData::length | ( |  | ) | const

| The number of characters that are available through `data` and the `substringData` method below. This may have the value zero, i.e., `CharacterData` nodes may be empty. Definition at line 82 of file dom_text.cpp. References DOM::DOMString::length().

DOMString CharacterData::substringData | ( | const unsigned long | offset,
|  | const unsigned long | count
| ) |

Extracts a range of data from the node.

Parameters:

  | offset | Start offset of substring to extract.
  | count | The number of characters to extract.

Returns:
  The specified substring. If the sum of `offset` and `count` exceeds the `length` , then all characters to the end of the data are returned.

Exceptions:

  | DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` , or if the specified `count` is negative.

DOMSTRING_SIZE_ERR: Raised if the specified range of text does not fit into a `DOMString` .

Definition at line 89 of file dom_text.cpp.

void CharacterData::appendData | ( | const DOMString & | arg | ) |

Append the string to the end of the character data of the node.

Upon success, `data` provides access to the concatenation of `data` and the `DOMString` specified.

Parameters:

  | arg | The `DOMString` to append.

Returns:

Exceptions:

  | DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 101 of file dom_text.cpp.

void CharacterData::insertData | ( | const unsigned long | offset,
|  | const DOMString & | arg
| ) |

Insert a string at the specified character offset.

Parameters:

  | offset | The character offset at which to insert.
  | arg | The `DOMString` to insert.

Returns:

Exceptions:

  | DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` .

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 112 of file dom_text.cpp.

void CharacterData::deleteData | ( | const unsigned long | offset,
|  | const unsigned long | count
| ) |

Remove a range of characters from the node.

Upon success, `data` and `length` reflect the change.

Parameters:

  | offset | The offset from which to remove characters.
  | count | The number of characters to delete. If the sum of `offset` and `count` exceeds `length` then all characters from `offset` to the end of the data are deleted.

Returns:

Exceptions:

  | DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` , or if the specified `count` is negative.

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 123 of file dom_text.cpp.

void CharacterData::replaceData | ( | const unsigned long | offset,
|  | const unsigned long | count,
|  | const DOMString & | arg
| ) |

Replace the characters starting at the specified character offset with the specified string.

Parameters:

  | offset | The offset from which to start replacing.
  | count | The number of characters to replace. If the sum of `offset` and `count` exceeds `length` , then all characters to the end of the data are replaced (i.e., the effect is the same as a `remove` method call with the same range, followed by an `append` method invocation).
  | arg | The `DOMString` with which the range must be replaced.

Returns:

Exceptions:

  | DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` , or if the specified `count` is negative.

NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Definition at line 134 of file dom_text.cpp.

The documentation for this class was generated from the following files:

- dom_text.h
- dom_text.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003